Subject: RE: static-static DH and pkinit

From: "Paul Leach" <[email-masked]>
Date: Mon, 26 Jul 2004 19:53:47 -0700

> -----Original Message-----
> From: Sam Hartman [mailto:[email-masked]]
> Sent: Monday, July 26, 2004 6:00 PM
> To: Paul Leach
> Cc: [email-masked]
> Subject: Re: static-static DH and pkinit
> 
>      > [pjl] is running the DH through rand2key necessary, when its
>      > just being fed back into the prf?
> 
> Yes, although note that rand2key is mostly a type cast operation; the
> AES draft simply copies the random bitstring to the output key.

Just curious -- why is it necessary? Is it just a type mismatch issue?
(The spec language you used did not appear to be strongly typed...)

---

From: Ken Raeburn <[email-masked]>
Date: Mon, 26 Jul 2004 23:33:39 -0400

> (The spec language you used did not appear to be strongly typed...)

For AES specifically, yes.  With 3DES, the output of random-to-key has 
the bits rearranged and parity bits inserted.  For the general case, we 
need to keep the distinction, otherwise we risk precluding certain 
existing or future cryptosystems.  (Though I expect that it'll be just 
a type conversion for most if not all of our future cryptosystems.)